//materials
textures/xlab_wall/xmetal_c03_noclip	//this is used for cables in the tunnel. Noclip to have the detail, without interfering with gameplay.
{
	qer_editorimage textures/xlab_wall/xmetal_c03.tga
	surfaceparm nonsolid
	implicitMap textures/xlab_wall/xmetal_c03
}

textures/decals/one
{
	polygonOffset
	entityMergable
	{
		map textures/decals/one.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/stiglitz/siwa_canvas1
{
	qer_editorimage textures/egypt_props_sd/siwa_canvas1
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull none
	implicitMap textures/egypt_props_sd/siwa_canvas1
}

textures/stiglitz/siwa_carpet2
{
	qer_editorimage textures/egypt_props_sd/siwa_carpet2
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull none
	implicitMap textures/egypt_props_sd/siwa_carpet2
}

textures/stiglitz/ivy_c01
{
	qer_trans 0.85
	qer_editorimage textures/alpha/ivy_c01.tga
	cull none
	nomipmaps
	nopicmip
	surfaceparm woodsteps
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask textures/alpha/ivy_c01.tga
}

textures/chateau/window_c08a	//duplicated directly from RTCW

{
	qer_editorimage textures/chateau/window_c08a.tga
	surfaceparm nomarks
	q3map_lightimage textures/lightimage/soft_warm2.tga 
	q3map_surfacelight 300
	q3map_lightsubdivide 64
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/chateau/window_c08a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/chateau/window_c04.blend.tga
		blendfunc GL_ONE GL_ONE
	}

}

textures/dingenskirchen_props/torch
{
	deformVertexes wave 194 sin 0 2 0 .5
	deformVertexes wave 30 sin 0 1 0 .9
	deformVertexes wave 194 sin 0 1 0 .6
	qer_editorimage textures/sfx/flame1.tga
	q3map_surfacelight 3000
	cull none
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	//sort 13
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/stiglitz/light_m5_green
{
	qer_editorimage textures/lights/light_m5_green.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_m5_green.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_m5.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

//decals
textures/stiglitz/xlabs
{
	qer_editorimage textures/decals/xlabs.tga
	polygonOffset
	entityMergable
	{
		map textures/decals/xlabs.tga
		blendFunc blend
		rgbGen vertex
		alphaGen vertex
	}
}

textures/stiglitz/blood
{
	qer_editorimage textures/decals/blood4.tga
	polygonOffset
	entityMergable
	{
		map textures/decals/blood4.tga
		blendFunc blend
		rgbGen vertex
		alphaGen vertex
	}
}

textures/stiglitz/burnm_01
{
	qer_editorimage textures/stiglitz/burnm_01.tga
	nopicmip
	nomipmaps
	polygonOffset
	surfaceparm nolightmap
	implicitBlend -
}

//sky
textures/miramar/miramar	//By Jockum Skoglund aka hipshot [hipshot@zfight.com]; edited by kemon
{
	qer_editorimage textures/miramar/miramar_ft.jpg
	q3map_lightrgb 0.8 0.9 1.0
	q3map_skylight 85 3
	skyParms textures/miramar/miramar 512 -
//	q3map_sunExt 103 143 168 100 320 70 315 35
	q3map_sunExt 187 179 148 75 320 70 1 32
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps
	nocompress
}

//water
textures/stiglitz/water
{
	qer_editorimage textures/editor/water1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_alphaGen const 0.75
	cull none
	{ 
		//Primary 1
		map textures/stiglitz/water_bright.tga
		blendFunc blend
		alphaGen vertex //const 0.75
		rgbGen identity
		tcmod turb 0 0.02 0 0.30
		tcmod scroll 0.085 0
		depthwrite
	}
	{
		//Secondary
		map textures/stiglitz/water_dark.tga
		blendFunc blend
		alphaGen vertex
		// rgbgen wave sin 0.5 0.1 0.6 0.3
		rgbGen identity
		tcmod turb 0 0.02 0 0.30    
		tcmod scroll 0.085 0
		depthwrite
	}
	{
		map textures/stiglitz/water_overlay.tga
		blendfunc gl_src_alpha gl_one
		alphagen oneminusvertex
		rgbgen wave sin 0.5 0.1 0.6 0.3
		tcmod turb 0 0.02 0 0.30 
		tcmod scroll 0 0.085
		// depthwrite
	}
	{
		map $lightmap
		blendFunc filter
		// depthwrite
		rgbGen identity
	}
}

textures/stiglitz/water_toxic
{
	qer_editorimage textures/editor/water2.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_alphaGen const 0.75
	cull none
	{ 
		//Primary 1
		map textures/stiglitz/water_toxic.tga
		blendFunc blend
		alphaGen vertex //const 0.75
		rgbGen identity
		tcmod turb 0 0.02 0 0.30
		tcmod scroll 0.085 0
		depthwrite
	}
	{
		//Secondary
		map textures/stiglitz/water_dark.tga
		blendFunc blend
		alphaGen vertex
		// rgbgen wave sin 0.5 0.1 0.6 0.3
		rgbGen identity
		tcmod turb 0 0.02 0 0.30    
		tcmod scroll 0.085 0
		depthwrite
	}
	{
		map textures/stiglitz/water_overlay.tga
		blendfunc gl_src_alpha gl_one
		alphagen oneminusvertex
		rgbgen wave sin 0.5 0.1 0.6 0.3
		tcmod turb 0 0.02 0 0.30 
		tcmod scroll 0 0.085
		// depthwrite
	}
	{
		map $lightmap
		blendFunc filter
		// depthwrite
		rgbGen identity
	}
}

textures/stiglitz/water_foam
{
	qer_editorimage textures/editor/water2.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_alphaGen const 0.75
	cull none
	{ 
		//Primary 1
		map textures/liquids_sd/seawall_foam.tga
		blendFunc blend
		alphaGen vertex //const 0.75
		rgbGen identity
		tcmod turb 0 0.02 0 0.30
		tcmod scroll 0.085 0
		depthwrite
	}
	{
		//Secondary
		map textures/stiglitz/water_dark.tga
		blendFunc blend
		alphaGen vertex
		// rgbgen wave sin 0.5 0.1 0.6 0.3
		rgbGen identity
		tcmod turb 0 0.02 0 0.30    
		tcmod scroll 0.085 0
		depthwrite
	}
	{
		map textures/stiglitz/water_overlay.tga
		blendfunc gl_src_alpha gl_one
		alphagen oneminusvertex
		rgbgen wave sin 0.5 0.1 0.6 0.3
		tcmod turb 0 0.02 0 0.30 
		tcmod scroll 0 0.085
		// depthwrite
	}
	{
		map $lightmap
		blendFunc filter
		// depthwrite
		rgbGen identity
	}
}

textures/stiglitz/water_infinity
{
	qer_editorimage textures/editor/water2.tga
	qer_trans .5
//	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_alphaGen const 0.25
	cull none
	{ 
		//Primary 1
		map textures/editor/alpha.tga
		blendFunc blend
		depthwrite
//		rgbGen identity
	}
	{
		//Secondary
		map textures/stiglitz/water_dark.tga
		blendFunc blend
		alphaGen vertex
		// rgbgen wave sin 0.5 0.1 0.6 0.3
		rgbGen identity
		tcmod turb 0 0.02 0 0.30    
		tcmod scroll 0.085 0
		depthwrite
	}
	{
		map $lightmap
		blendFunc filter
		// depthwrite
		rgbGen identity
	}
}

textures/stiglitz/waterfall
{
	qer_editorimage textures/editor/water2.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
//	q3map_alphaGen const 0.75
	{ 
		//Primary 1
		map textures/liquids_sd/seawall_foam.tga
		blendFunc blend
		rgbGen identity
//		tcmod turb 0 0.02 0 0.30
		tcMod scroll 0 -0.5
		depthwrite
	}
	{
		//Secondary
		map textures/stiglitz/water_dark.tga
		blendFunc blend
		alphaGen vertex
		rgbgen wave sin 0.5 0.1 0.6 0.3
		tcmod turb 0 0.02 0 0.30  
		tcmod scroll 0 -0.75
		depthwrite		
	}
	{
		map $lightmap
		blendFunc filter
		// depthwrite
		rgbGen identity
	}
}

textures/stiglitz/waterfall_toxic
{
	qer_editorimage textures/editor/water2.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 )	//X-axis
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
//	q3map_alphaGen const 0.75
	{ 
		//Primary 1
		map textures/editor/alpha.tga
		blendFunc blend
		// alphaGen vertex
		depthwrite
	}
	{
		//Secondary
		map textures/stiglitz/water_toxic.tga
		blendFunc blend
		alphaGen vertex
		rgbGen identity	
		tcmod turb 0 0.02 0 0.30
		tcMod scroll 0 1	
		depthwrite
	}
	{
		map $lightmap
		blendFunc filter
		// depthwrite
		rgbGen identity
	}
}

textures/stiglitz/waterfall_spray1	//created by Rought (rought_@hotmail.com) for the map "Well of Youth". Edited by kemon
{
	qer_editorimage textures/stiglitz/water_spray.tga
	deformvertexes autosprite
	surfaceparm pointlight
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/stiglitz/water_spray.tga
//		alphagen wave sin 1 0.4 0 0.8
		alphagen vertex
		// tcmod stretch sin 1 0.2 0.25 1
		tcmod rotate 400
		// blendfunc gl_src_alpha gl_one
		blendfunc blend
	}
	// {
		// map $lightmap
		// blendFunc filter
		// rgbGen identity
	// }
}

textures/stiglitz/waterfall_spray2	//created by Rought (rought_@hotmail.com) for the map "Well of Youth". Edited by kemon
{
	qer_editorimage textures/stiglitz/water_spray.tga
	deformvertexes autosprite
	surfaceparm pointlight
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/stiglitz/water_spray.tga
//		alphagen wave sin 1 0.4 0.1 0.8
		alphagen vertex
		// tcmod stretch sin 1 0.1 0.5 1
		tcmod rotate -400
		// blendfunc gl_src_alpha gl_one
		blendfunc blend
	}
	// {
		// map $lightmap
		// blendFunc filter
		// rgbGen identity
	// }
}

textures/stiglitz/waterfall_spray3	//created by Rought (rought_@hotmail.com) for the map "Well of Youth". Edited by kemon
{
	qer_editorimage textures/stiglitz/water_spray.tga
	deformvertexes autosprite
	surfaceparm pointlight
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/stiglitz/water_spray.tga
//		alphagen wave sin 1 0.4 0 0.8
		alphagen vertex
		// tcmod stretch sin 1 0.2 0.75 1
		tcmod rotate 400
		// blendfunc gl_src_alpha gl_one
		blendfunc blend
	}
	// {
		// map $lightmap
		// blendFunc filter
		// rgbGen identity
	// }
}

textures/stiglitz/waterfall_spray4	//created by Rought (rought_@hotmail.com) for the map "Well of Youth". Edited by kemon
{
	qer_editorimage textures/stiglitz/water_spray.tga
	deformvertexes autosprite
	surfaceparm pointlight
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/stiglitz/water_spray.tga
//		alphagen wave sin 1 0.4 0.1 0.8
		alphagen vertex
		// tcmod stretch sin 1 0.1 0 1
		tcmod rotate -400
		// blendfunc gl_src_alpha gl_one
		blendfunc blend
	}
	// {
		// map $lightmap
		// blendFunc filter
		// rgbGen identity
	// }
}

//terrain
textures/stiglitz/road
{
	qer_editorimage textures/editor/gravel.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
//	q3map_lightmapMergable
	{
		// Primary 1
		map textures/castle_floor/floor_c04c.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain/grass_ml03cmp.tga
		blendFunc blend
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/stiglitz/gravel
{
	qer_editorimage textures/editor/sand.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm gravelsteps
//	q3map_lightmapMergable
	{
		// Primary 1
		map textures/desert_sd/road_dirty_gravel.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain/grass_ml03cmp.tga
		blendFunc blend
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/stiglitz/grass
{
	qer_editorimage textures/editor/grass.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
//	q3map_lightmapMergable
	surfaceparm grasssteps
	{
		// Primary 1
		map textures/temperate_sd/grass_path1.tga
		tcMod scale 0.5 0.5
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain/grass_ml03cmp.tga
		blendFunc blend
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/stiglitz/road2industry
{
	qer_editorimage textures/editor/other.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
//	q3map_lightmapMergable
	{
		// Primary 1
		map textures/castle_floor/floor_c04c.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/miltary_wall/concrete_c07bcmp.tga
		blendFunc blend
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/stiglitz/road2church
{
	qer_editorimage textures/editor/water2.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
//	q3map_lightmapMergable
	{
		// Primary 1
		map textures/castle_floor/floor_c04c.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/castle_floor/floor_c14.tga
		blendFunc blend
		alphaGen vertex
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

//Rock textures are using the common alphaMod blending technique.
//Their purpose is to achieve alphaMod blending on cliffs.
//To achieve this, they are using different q3map_tcGen ivector settings for projection along the required axis.

textures/stiglitz/rockZ
{
	qer_editorimage textures/editor/shaderZ.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
//	q3map_lightmapMergable
	{
		// Primary 1
		map textures/stone/mxrock3_a.tga
		tcMod scale 0.5 0.5
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain/grass_ml03cmp.tga
		blendFunc blend
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/stiglitz/rockX
{
	qer_editorimage textures/editor/shaderX.tga
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
//	q3map_lightmapMergable
	{
		// Primary 1
		map textures/stone/mxrock3_a.tga
		tcMod scale 0.5 0.5
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain/grass_ml03cmp.tga
		blendFunc blend
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/stiglitz/rockY
{
	qer_editorimage textures/editor/shaderY.tga
	q3map_tcGen ivector ( 0 0 256 ) ( 256 0 0 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
//	q3map_lightmapMergable
	{
		// Primary 1
		map textures/stone/mxrock3_a.tga
		tcMod scale 0.5 0.5
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain/grass_ml03cmp.tga
		blendFunc blend
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

//Infinity textures are using the common alphaMod blending technique.
//Their purpose is to simulate terrain fading in the distance.
//To achieve this, their primary texture is 100% alpha channel.

textures/stiglitz/infinityZ
{
	qer_editorimage textures/editor/alpha.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
//	q3map_lightmapMergable
	cull front
	{
		// Primary 1
		map textures/editor/alpha.tga
		blendFunc blend
		depthwrite
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain/grass_ml03cmp.tga
		blendFunc blend
		alphaGen vertex
		depthwrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		depthwrite
		rgbGen identity
	}
}

textures/stiglitz/infinityX
{
	qer_editorimage textures/editor/alpha.tga
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
//	q3map_lightmapMergable
	cull front
	{
		// Primary 1
		map textures/editor/alpha.tga
		blendFunc blend
		depthwrite
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain/grass_ml03cmp.tga
		blendFunc blend
		alphaGen vertex
		depthwrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		depthwrite
		rgbGen identity
	}
}

textures/stiglitz/infinityY
{
	qer_editorimage textures/editor/alpha.tga
	q3map_tcGen ivector ( 0 0 256 ) ( 256 0 0 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
//	q3map_lightmapMergable
	cull front
	{
		// Primary 1
		map textures/editor/alpha.tga
		blendFunc blend
		depthwrite
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain/grass_ml03cmp.tga
		blendFunc blend
		alphaGen vertex
		depthwrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		depthwrite
		rgbGen identity
	}
}

//Black textures are using the common alphaMod blending technique.
//Their purpose is to simulate terrain fading in the distance, however in a closed environment (eg. tunnel).
//To achieve this, their primary texture is 100% black.

textures/stiglitz/blackZ
{
	qer_editorimage textures/editor/black.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
//	q3map_lightmapMergable
	{
		// Primary 1
		map textures/editor/black.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain/grass_ml03cmp.tga
		blendFunc blend
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/stiglitz/blackX
{
	qer_editorimage textures/editor/black.tga
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
//	q3map_lightmapMergable
	{
		// Primary 1
		map textures/editor/black.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain/grass_ml03cmp.tga
		blendFunc blend
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/stiglitz/blackY
{
	qer_editorimage textures/editor/black.tga
	q3map_tcGen ivector ( 0 0 256 ) ( 256 0 0 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
//	q3map_lightmapMergable
	{
		// Primary 1
		map textures/editor/black.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain/grass_ml03cmp.tga
		blendFunc blend
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/stiglitz/black2infinity
{
	qer_editorimage textures/editor/black.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
//	q3map_lightmapMergable
	polygonOffset
	{
		// Primary 1
		map textures/editor/black.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/editor/alpha.tga
		blendFunc blend
//		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

//vegetation
textures/stiglitz/treeline_mixed	//a mixed, tiling treeline made by RayBan (raybanb@gmail.com) //edited by kemon
{
	qer_alphaFunc gequal 0.5
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/stiglitz/tree1_dark	//single tree made by RayBan (raybanb@gmail.com) //edited by kemon
{
	qer_alphaFunc gequal 0.5
	deformvertexes autosprite2
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/stiglitz/tree1_med		//single tree made by RayBan (raybanb@gmail.com) //edited by kemon
{
	qer_alphaFunc gequal 0.5
	deformvertexes autosprite2
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/stiglitz/tree1_light	//single tree made by RayBan (raybanb@gmail.com) //edited by kemon
{
	qer_alphaFunc gequal 0.5
	deformvertexes autosprite2
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/stiglitz/hedgeline		//resource: http://mb3d.co.uk/mb3d/Plant_and_Leaf_Seamless_and_Tileable_High_Res_Textures_files/Hedgerow_U_VH_CM_1.jpg
{
	qer_alphaFunc gequal 0.5
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

// DOA custom models - FireFly
models/doa/search_light/s_light_main
{ 	qer_editorimage models/doa/search_light/s_light_main.tga
// 	implicitMap models/doa/search_light/s_light_main.tga
	implicitMap -
}

models/doa/search_light/s_light_lamp
{ 	qer_editorimage models/doa/search_light/s_light_lamp.tga
// 	implicitMap models/doa/search_light/s_light_lamp.tga
	implicitMap -
}

//Alpine Assault custom models - Detoeni
models/mapobjects/dt_aa_mm/search_light
{
	q3map_editorimage models/mapobjects/dt_aa_mm/search_light.tga
	q3map_lightimage models/mapobjects/dt_aa_mm/search_light_blend.tga
	q3map_surfacelight  5000
	surfaceparm nomarks
	{
		map models/mapobjects/dt_aa_mm/search_light.tga
		rgbGen vertex
	}
	{
		map models/mapobjects/dt_aa_mm/search_light_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

models/mapobjects/dt_aa/bulkhead
{
	qer_editorimage models/mapobjects/dt_aa/bulkhead.tga
	surfaceparm nomarks
	implicitMap models/mapobjects/dt_aa/bulkhead.tga
}

models/mapobjects/dt_aa/light_grill
{
	qer_editorimage models/mapobjects/dt_aa/light_grill.tga
	qer_alphafunc greater 0.5
	nomipmaps
	nopicmip
	surfaceparm nomarks
	implicitMask models/mapobjects/dt_aa/light_grill.tga
}

//Hanomag model from FireFly
models/quarry/hanomag
{ 
	qer_editorimage models/quarry/hanomag.tga 
	q3map_forceMeta 
	q3map_nonplanar 
	q3map_shadeAngle 180 
	q3map_lightmapSampleOffset 8.0
	implicitMap models/quarry/hanomag.tga  
}

models/quarry/hanomag_dcull
{ 
	qer_editorimage models/quarry/hanomag.tga
	cull twosided 
	q3map_forceMeta 
	q3map_nonplanar 
	q3map_shadeAngle 180 
	q3map_lightmapSampleOffset 8.0
	implicitMap models/quarry/hanomag.tga  
}

//Mercedes model from RtCW
models/mapobjects/vehicles/car_shadow
{
	surfaceparm metalsteps		
	cull twosided
	{
		map models/mapobjects/vehicles/car_shadow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingdiffuse
	}

}

models/mapobjects/vehicles/glass
{
	surfaceparm metalsteps		
	cull twosided
	{
		map models/mapobjects/vehicles/glass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingdiffuse
	}

}

//Protosoldier model from RtCW
models/players/protosoldier/proto_armor1
{      
	cull twosided
        
	{
		map models/players/protosoldier/proto_armor1.tga
		rgbGen identity
	}
}

//command map
levelshots/stiglitz_b1_cc_automap
{
	nopicmip
	nocompress
	nomipmaps	 
  	{
		clampmap levelshots/stiglitz_b1_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/stiglitz_b1_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/stiglitz_b1_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}